EDIT - feature request #9680

Show collectorTitleCache and protectedCollectorTitleCache+ protectedNomenclaturalTitleCache in
BulkEditor

06/25/2021 06:17 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

... and extend search on the collectorTitleCache field.

Also the collectorTitleCache should be included in search dialogs for team or person searches if deviating from titleCache or
nomTitleCache. Currently only these 2 are shown and searched for.

Related issues:
Related to EDIT - feature request #7309: Implement collectorTitle and collect... Feedback

Associated revisions

Revision edff7345 - 06/30/2021 10:24 AM - Katja Luther

ref #9680: show abbrev titlecache/protected and collector titlecache/protected in bulk editor

Revision ffc9d0bd - 06/30/2021 11:01 AM - Katja Luther

ref #9680:adapt seach methods to search for collectortitlecache

Revision bba2caf5 - 06/30/2021 11:01 AM - Katja Luther

ref #9680:adapt seach methods to search for collectortitlecache, also for nomenclatural author search if pattern starts with *

Revision 4b96de2c - 07/01/2021 09:34 AM - Katja Luther

ref #9680: adapt searches to search also for collector title cache

Revision a4df60bc - 07/01/2021 09:52 AM - Katja Luther

ref #9680: adapt searches to search also for collector title cache - add TeamOrPersonUuidAndTitleCache

Revision 52bb6bd1 - 07/01/2021 05:41 PM - Katja Luther

ref #9680: adapt searches to search also for collector title cache - continue

Revision 9a34ef6a - 07/01/2021 05:46 PM - Katja Luther

ref #9680: add collector titleCache to result of collector search dialog

Revision 77360286 - 07/05/2021 10:02 AM - Katja Luther

ref #9680: adapt edtior to cdmlib changes in agent searches

Revision 0327830c - 07/05/2021 10:03 AM - Katja Luther
ref #9680: adapt agent search methods to fill teamOrPersonUuidAndTitlecache dto

Revision 21d98831 - 07/06/2021 02:12 PM - Katja Luther

ref #9680: show collector titlecache instead of collector title

Revision 6414409 - 07/06/2021 02:42 PM - Katja Luther

ref #9337, #9680:remove set focus on titleCache and search for nomenclatural author and collector

History
#1 - 06/25/2021 06:18 PM - Andreas Miiller

- Related to feature request #7309: Implement collectorTitle and collectorTitleCache and the same for nomenclatural title in tax editor added

#2 - 06/25/2021 06:25 PM - Andreas Miiller

- Subject changed from Show collectorTitleCache in protectedCollectorTitleCache+ protectedNomenclaturalTitleCache in BulkEditor to Show
collectorTitleCache and protectedCollectorTitleCache+ protectedNomenclatural TitleCache in BulkEditor

#3 - 06/30/2021 11:01 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mtiller

The Bulkeditor shows the nomenclatural title and collector title. The search is adapted for all searches. Please review.

#4 - 07/01/2021 09:30 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 40

Search in bulk editor does not yet include search on collector titlecache

#5 - 07/01/2021 09:33 AM - Andreas Miiller
- File picture865-1.png added

The search result in search dialog does not yet include the collector title cache

|A. Bayl

‘ A. Baytop - Bay, A.Y29041]
This is from a search for a nomenclatural author.

For a search for a bibliographic author currently only the titlecache (but not the nom.titlecache and not the collector titlecache is shown). | think we
should add them (at position 2 and 3) as this is often an important information if one wants to distinguish records that are duplicates titlecache wise.

#6 - 07/01/2021 09:42 AM - Andreas Miiller

Searching for a collector (from FieldUnit details view) does also not yet give a result for searching on collector titlecache

#7 - 07/06/2021 01:40 PM - Andreas Miuller

Andreas Muller wrote:

Search in bulk editor does not yet include search on collector titlecache

works now

#8 - 07/06/2021 01:43 PM - Andreas Miuller

Andreas Muller wrote:

Searching for a collector (from FieldUnit details view) does also not yet give a result for searching on collector titlecache

Still does not seem to work

#9 - 07/06/2021 01:46 PM - Andreas Miiller

Andreas Muller wrote:
Andreas Muller wrote:

Searching for a collector (from FieldUnit details view) does also not yet give a result for searching on collector titlecache

Still does not seem to work
Also the collector title is shown at 3. position when searching for a gathering collector but should be shown at first position.

#10 - 07/06/2021 02:09 PM - Andreas Miiller

The column "collector titlecache" seems to show the collector title not the collector titteCache. At least for Person.

This needs to be adapted.

#11 - 07/07/2021 11:54 AM - Katja Luther

- Status changed from Feedback to Resolved

this is fixed

#12 - 07/07/2021 04:42 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 40 to 100

Works now as expected
